package notifications

import (
	messaging "github.com/tech/sendico/pkg/messaging/envelope"
	an "github.com/tech/sendico/pkg/messaging/internal/notifications/account"
	nm "github.com/tech/sendico/pkg/model/notification"
	"go.mongodb.org/mongo-driver/v2/bson"
)

func Account(sender string, accountRef bson.ObjectID, action nm.NotificationAction, verificationToken string) messaging.Envelope {
	return an.NewAccountImp(sender, accountRef, action, verificationToken)
}

func AccountCreated(sender string, accountRef bson.ObjectID, verificationToken string) messaging.Envelope {
	return Account(sender, accountRef, nm.NACreated, verificationToken)
}
